# rubocop:disable Bundler/OrderedGems
# frozen_string_literal: true
source 'https://rubygems.org'

# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '4.2.4'
# Use PostgreSQL as the database for Active Record
gem 'pg'
# Devise users auth
gem 'devise'
gem 'devise_security_extension'
# Navegation for build the menu
gem 'simple_navigation_renderers'
gem 'breadcrumbs_on_rails'
# Abilities for User types /roles
gem 'cancan'
# Activity user logs / auditabled
gem 'audited-activerecord', '~> 4.0'

# Use SCSS for stylesheets
gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
# Use CoffeeScript for .coffee assets and views
gem 'coffee-rails', '~> 4.1.0'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'therubyracer', platforms: :ruby

## Gemas POS
gem 'paperclip'

## responders para modal
gem 'responders'

# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.0'

# Gema para modificar la forma de mostrar el error resaltado en los input de la forma
gem 'nokogiri'

### javascripts y css
# Use jquery as the JavaScript library
gem 'sprockets-rails', require: 'sprockets/railtie'
gem 'jquery-rails'
gem 'jquery-ui-rails'
gem 'bootstrap-sass'
gem 'bootstrap-select-rails'
gem "bootstrap-switch-rails"
gem 'momentjs-rails', '>= 2.9.0'
gem 'bootstrap3-datetimepicker-rails', '~> 4.17.37'
gem 'bootbox-rails', '~>0.4'
gem "select2-rails"
gem 'bootstrap-multiselect-rails'
gem 'twitter-typeahead-rails'
gem 'simple-line-icons-rails'
gem 'jquery-datatables-rails', github: 'rweng/jquery-datatables-rails' # correr rails generate jquery:datatables:install bootstrap3 , rails generate jquery:datatables:install responsive
gem 'jquery-inputmask-rails', '~> 2.5', '>= 2.5.5'
gem 'jquery-migrate-rails', '~> 1.2', '>= 1.2.1'
gem 'jquery-slimscroll-rails', '~> 1.0', '>= 1.0.9'
gem 'toastr_rails'
# Turbolinks makes following links in your web application faster. Read more: https://github.com/rails/turbolinks
gem 'turbolinks'
# Gema para usar autocompletar en inputs
gem 'rails-jquery-autocomplete'
gem 'font-awesome-sass', '~> 4.5.0'
gem 'wicked_pdf'
gem 'wkhtmltopdf-binary'
gem 'twitter_bootstrap_wizard_rails'
gem 'bootstrap-tagsinput-rails'
gem 'acts-as-taggable-on', '~> 3.4' # then run rake acts_as_taggable_on_engine:install:migrations
gem 'remotipart', '~> 1.2'
gem 'will_paginate'
gem "font-awesome-rails"
gem 'carrierwave', '>= 1.0.0.rc', '< 2.0'
gem 'mini_magick'

# gem 'ajax-datatables-rails', git: 'git://github.com/antillas21/ajax-datatables-rails.git', branch: 'master'
# gem 'amcharts.rb'
# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# Use Unicorn as the app server
# gem 'unicorn'

# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug'
  # Para generar esquems de base de datos
  # install: sudo apt-get install graphviz -y
  # Osx: brew install graphviz
  gem 'rails-erd'
  gem 'overcommit'
  gem 'rubocop', '~> 0.46.0', require: false
end

group :development do
  # Access an IRB console on exception pages or by using <%= console %> in views
  gem 'web-console', '~> 2.0'
  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'
  gem 'pry-rails'
end
# rubocop:enable Bundler/OrderedGems
